# Applications

Here is a (non-exhaustive) list of research using
[SummationByPartsOperators.jl](https://github.com/ranocha/SummationByPartsOperators.jl).

- Hendrik Ranocha, Manuel Quezada de Luna, and David I Ketcheson (2021).
  On the Rate of Error Growth in Time for Numerical Solutions of
  Nonlinear Dispersive Wave Equations.
  [arXiv: 2102.07376 [math.NA]](https://arxiv.org/abs/2102.07376)
  A reproducibility repository containing source code for all numerical
  experiments is available at
  [DOI: 10.5281/zenodo.4540467](https://doi.org/10.5281/zenodo.4540467)
- Hendrik Ranocha, Dimitrios Mitsotakis, and David I Ketcheson (2021).
  A Broad Class of Conservative Numerical Methods for Dispersive
  Wave Equations.
  [DOI: 10.4208/cicp.OA-2020-0119](https://doi.org/10.4208/cicp.OA-2020-0119)
  A reproducibility repository containing source code for all numerical
  experiments is available at
  [DOI: 10.5281/zenodo.3908803](https://doi.org/10.5281/zenodo.3908803)
- Philippe G LeFloch and Hendrik Ranocha (2021).
  Kinetic functions for nonclassical shocks, entropy stability, and
  discrete summation by parts.
  [DOI: 10.1007/s10915-021-01463-6](https://doi.org/10.1007/s10915-021-01463-6)
- Jan Nordström and Hendrik Ranocha (2021).
  A New Class of *A* Stable Summation by Parts Time Integration Schemes
  with Strong Initial Conditions.
  [DOI: 10.1007/s10915-021-01454-7](https://doi.org/10.1007/s10915-021-01454-7)
  A reproducibility repository containing source code for all numerical
  experiments is available at
  [DOI: 10.5281/zenodo.3699173](https://doi.org/10.5281/zenodo.3699173)
- Hendrik Ranocha (2021).
  On Strong Stability of Explicit Runge-Kutta Methods for
  Nonlinear Semibounded Operators.
  [DOI: 10.1093/imanum/drz070](https://doi.org/10.1093/imanum/drz070)
- Hendrik Ranocha and David I Ketcheson (2020).
  Energy Stability of Explicit Runge-Kutta Methods for Nonautonomous
  or Nonlinear Problems.
  [DOI: 10.1137/19M1290346](https://doi.org/10.1137/19M1290346)
  A reproducibility repository containing source code for all numerical
  experiments is available at
  [DOI: 10.5281/zenodo.3464243](https://doi.org/10.5281/zenodo.3464243)
- Hendrik Ranocha, Katharina Ostaszewski, and Philip Heinisch (2020).
  Discrete Vector Calculus and Helmholtz Hodge Decomposition
  for Classical Finite Difference Summation by Parts Operators.
  [DOI: 10.1007/s42967-019-00057-2](https://doi.org/10.1007/s42967-019-00057-2)
  A reproducibility repository containing source code for all numerical
  experiments is available at
  [DOI: 10.5281/zenodo.3375170](https://doi.org/10.5281/zenodo.3375170)
- Hendrik Ranocha and Gregor J Gassner (2020).
  Preventing pressure oscillations does not fix local linear stability
  issues of entropy-based split-form high-order schemes.
  [arXiv: 2009.13139 [math.NA]](https://arxiv.org/abs/2009.13139)
  A reproducibility repository containing source code for all numerical
  experiments is available at
  [DOI: 10.5281/zenodo.4054366](https://doi.org/10.5281/zenodo.4054366)
- Philipp Öffner and Hendrik Ranocha (2019).
  Error Boundedness of Discontinuous Galerkin Methods with Variable
  Coefficients.
  [DOI: 10.1007/s10915-018-00902-1](https://doi.org/10.1007/s10915-018-00902-1)

If you use this package for your own research, please cite it as described
[in the documentation](https://ranocha.de/SummationByPartsOperators.jl/stable/#Referencing)
and make a PR to add your work to the list above.
